POST /sites/$site/users/$user_id
Update details of a user of a site.
Resource Information
| Method | POST |
|---|---|
| URL | https://public-api.wordpress.com/rest/v1.1/sites/$site/users/$user_id |
| Requires authentication? | Yes |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | The site ID or domain. |
| $user_id | (int) | The user's ID. |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| meta | (string) | Optional. Loads data from the endpoints found in the 'meta' part of the response. Comma-separated list. Example: meta=site,likes |
| fields | (string) | Optional. Returns specified fields only. Comma-separated list. Example: fields=ID,title |
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The ID of the user |
| login | (string) | The login username of the user |
| (string) | The email of the user | |
| name | (string) | The name to display for the user |
| first_name | (string) | The first name of the user |
| last_name | (string) | The last name of the user |
| nice_name | (string) | The nice_name to display for the user |
| URL | (string) | The primary blog of the user |
| avatar_URL | (url) | Gravatar image URL |
| profile_URL | (url) | Gravatar Profile URL |
| site_ID | (int) | ID of the user's primary blog |
| roles | (array|string) | The role or roles of the user |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The ID of the user |
| login | (string) | The login username of the user |
| (string) | The email of the user | |
| name | (string) | The name to display for the user |
| first_name | (string) | The first name of the user |
| last_name | (string) | The last name of the user |
| nice_name | (string) | The nice_name to display for the user |
| URL | (string) | The primary blog of the user |
| avatar_URL | (url) | Gravatar image URL |
| profile_URL | (url) | Gravatar Profile URL |
| site_ID | (int) | ID of the user's primary blog |
| roles | (array|string) | The role or roles of the user |
Resource Errors
This endpoint does not return any errors.
Example
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'roles=Array' \ --data-urlencode 'first_name=Rocco' \ --data-urlencode 'last_name=Tripaldi' \ 'https://public-api.wordpress.com/rest/v1/sites/30434183/user/23'
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' =>
http_build_query( array (
'roles' =>
array (
0 =>
array (
0 => 'administrator',
),
),
'first_name' => 'Rocco',
'last_name' => 'Tripaldi',
)),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/30434183/user/23',
false,
$context
);
$response = json_decode( $response );
?>